<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>

   <extension
         point="org.eclipse.ui.commands">
      <category
            name="Sample Category"
            id="org.eclipse.opencert.lines.commands.category">
      </category>
      <command
            name="Seamless Integration between EPF Composer and BVR Tool"
            categoryId="org.eclipse.opencert.lines.commands.category"
            id="org.eclipse.opencert.lines.commands.processCommand">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.handlers">
      <handler
            commandId="org.eclipse.opencert.lines.commands.processCommand"
            class="org.eclipse.opencert.lines.handlers.LinesHandler">
      </handler>
   </extension>
   <extension
         point="org.eclipse.ui.bindings">
      <key
            commandId="org.eclipse.opencert.lines.commands.processCommand"
            contextId="org.eclipse.ui.contexts.window"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            sequence="M1+Q">
      </key>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            locationURI="menu:org.eclipse.ui.main.menu?after=additions">
         <menu
               label="Process Lines"
               mnemonic="M"
               id="org.eclipse.opencert.lines.menus.sampleMenu">
            <command
                  commandId="org.eclipse.opencert.lines.commands.processCommand"
                  mnemonic="S"
                  icon="icons/Process.gif"
                  id="org.eclipse.opencert.lines.menus.processCommand">
            </command>
         </menu>
      </menuContribution>
   </extension>

</plugin>
